//* Problem  : 2950 - PATULJCI
//* Contest  : acm.tju.edu.cn
//* Origin   : 
//* Type     : Solution
//* Date     : 2008.04.29
//* Author   : alt
//* Language : C++
//* Compiler : Microsoft Visual C++ 6.0
//* Algoritm : 

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>

#include <algorithm>
#include <vector>
#include <queue>
#include <string>
#include <iostream>
using namespace std;
#define int64 long long

#define PI 2*acos(0.0)

int n, res, a[16];


int main()
{
#ifdef _DEBUG
	freopen("1366", "r", stdin);
#endif
	for (int i = 0; i < 9; i++)
	{
		scanf("%d", &a[i]); n += a[i];
	}
	for (int i = 0; i < 9; i++)
		for (int j = i + 1; j < 9; j++)
			if (n - a[i] - a[j] == 100)
				for (int k = 0; k < 9; k++)
					if (k != i && k != j)
						printf("%d\n", a[k]);
	return 0;
}
